
/* 
   Project:     SOFTSUSY 
   File:        rgeroutines.h
   Author:      Ben Allanach 
   Manual:      hep-ph/0104145, Comp. Phys. Comm. 143 (2002) 305 
   Webpage:     http://allanach.home.cern.ch/allanach/softsusy.html
   Description: Does the calling of iteration routines etc, NOT for public 
                release!

   $Log: rgeroutines.h,v $
   Revision 1.2  2002/04/11 12:37:55  allanach
   *** empty log message ***

   Revision 1.4  2001/09/28 14:54:35  allanach
   AMSB, GMSB boundary conditions added, and model lines scan m12Scan().

   Revision 1.3  2001/07/18 14:42:51  allanach
   Added proper header info
*/

#ifndef RGEROUTINES_H
#define RGEROUTINES_H

#include <utils.h>
#include <softsusy.h>
#include <softpars.h>
#include <susy.h>
#include <lowe.h>
#include <linalg.h>
#include <def.h>
#include <string.h>

void scaledParsSugra();

MssmSoftsusy pointDomination(double tanb, double
				   mgut, int sgnMu, int accuracy,
			       DoubleVector & ft, double m32,
				   double epsilon = 0.0);
void contDomination(double, int, int);
void m12Scan();
void translateNonUniGauginos(DoubleVector & pars, double m0, double m1, 
			     double m2, double m3, double a0);
void nonUniGauginos(MssmSoftsusy & m, const DoubleVector & inputParameters);
void contUniversalM0m12(double tanb, double a0, double mgut, int sgnMu, int
			   accuracy);
void pointUniversalM0m12(double m0, double m12, double tanb, double a0,
			    double mgut, int sgnMu, int accuracy);
MssmSoftsusy doPointUniversalM0m12(double m0, double m12, double tanb,
					double a0, double mgut, int sgnMu,
					int accuracy, DoubleVector &);
double getChisqTbtau(const QedQcd &, double);
void cycleStandard(const QedQcd & one, const MssmSusy & run, double, int);
void gmsbBcs(MssmSoftsusy & m, const DoubleVector & inputParameters);
void sugraBcs(MssmSoftsusy & m, const DoubleVector & inputParameters);
void amsbBcs(MssmSoftsusy & m, const DoubleVector & inputParameters);
inline void translateSugra(DoubleVector & pars, double m0, double m12, double
			    a0);

#endif
